## IdeRunnerAddin IdeRunnerAddin |

## Functions

void | ide_runner_addin_load ()
void | ide_runner_addin_unload ()
void | ide_runner_addin_prehook_async ()
gboolean | ide_runner_addin_prehook_finish ()
void | ide_runner_addin_posthook_async ()
gboolean | ide_runner_addin_posthook_finish ()

## Types and Values

#define | IDE_TYPE_RUNNER_ADDIN
struct | IdeRunnerAddinInterface
| IdeRunnerAddin

## Object Hierarchy

        GInterface
        ╰── IdeRunnerAddin

## Prerequisites

IdeRunnerAddin requires GObject.

## Description

## Functions

### ide_runner_addin_load ()

    void
    ide_runner_addin_load (IdeRunnerAddin *self,
                           IdeRunner *runner);

### ide_runner_addin_unload ()

    void
    ide_runner_addin_unload (IdeRunnerAddin *self,
                             IdeRunner *runner);

### ide_runner_addin_prehook_async ()

    void
    ide_runner_addin_prehook_async (IdeRunnerAddin *self,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### ide_runner_addin_prehook_finish ()

    gboolean
    ide_runner_addin_prehook_finish (IdeRunnerAddin *self,
                                     GAsyncResult *result,
                                     GError **error);

### ide_runner_addin_posthook_async ()

    void
    ide_runner_addin_posthook_async (IdeRunnerAddin *self,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

### ide_runner_addin_posthook_finish ()

    gboolean
    ide_runner_addin_posthook_finish (IdeRunnerAddin *self,
                                      GAsyncResult *result,
                                      GError **error);

## Types and Values

### IDE_TYPE_RUNNER_ADDIN

    #define IDE_TYPE_RUNNER_ADDIN (ide_runner_addin_get_type())

### struct IdeRunnerAddinInterface

    struct IdeRunnerAddinInterface {
      GTypeInterface parent_interface;

      void     (*load)            (IdeRunnerAddin       *self,
                                   IdeRunner            *runner);
      void     (*unload)          (IdeRunnerAddin       *self,
                                   IdeRunner            *runner);
      void     (*prehook_async)   (IdeRunnerAddin       *self,
                                   GCancellable         *cancellable,
                                   GAsyncReadyCallback   callback,
                                   gpointer              user_data);
      gboolean (*prehook_finish)  (IdeRunnerAddin       *self,
                                   GAsyncResult         *result,
                                   GError              **error);
      void     (*posthook_async)  (IdeRunnerAddin       *self,
                                   GCancellable         *cancellable,
                                   GAsyncReadyCallback   callback,
                                   gpointer              user_data);
      gboolean (*posthook_finish) (IdeRunnerAddin       *self,
                                   GAsyncResult         *result,
                                   GError              **error);
    };

### IdeRunnerAddin

    typedef struct _IdeRunnerAddin IdeRunnerAddin;